/*
 * Copyright (c) 2004 John Topley (www.johntopley.com)
 * Project      : Web Forum
 * File         : KeyConstants.java
 * Classes      : KeyConstants 
 */
package com.johntopley.webforum.view;

/**
 * The class <code>KeyConstants</code> defines keys used to store objects in the
 * HTTP session and request.
 *
 * @author John Topley
 * @version 1.0
 */
public class KeyConstants 
{
  /**
   * Key used to store the list of posts in the HTTP request.
   */
  public static final String POST_LIST_KEY = "com.johntopley.webforum.postlist";

  /**
   * Private constructor to ensure that this class is never instantiated.   
   */
  private KeyConstants()
  {

    // Empty private constructor.
  }
}